This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 623233 - python(abi) autodetection needed for all .py[co] files, not just those beneath /usr/lib*/python*
python(abi) autodetection needed for all .py[co] files, not just those beneat...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: EasyFix, Reopened
Depends On: 623602
Blocks: Python27 623267 623269 623271 623273 623274 623275 623276 623277 623278 623279 623280 623281 623282 623283 623284 623285 623286 623287 623288 623289 623290 623291 623292 623293 623294 623295 623296 623297 623298 623300 623301 623302 623303 623304 623305 623306 623307 623308 623309 623310 623311 623312 623313 623314 623316 623317 623318 623319 623320 623321 623322 623323 623324 623325 623326 623327 623328 623329 623330 623331 623332 623333 623334 623335 623336 623337 623338 623339 623340 623341 623342 623343 623344 623345 623346 623347 623348 623349 623350 623351 623352 623353 623354 623355 623356 623357 623358 623359 623360 623361 623362 623363 623364 623365 623366 623367 623368 623369 623370 623371 623372 623373 623374 623375 623376 623377 623378 623379 623380 623381 623382 623383 623384 623385 623386 623387 623388 623389 623390 623391 623392 623393 623394 623395 623396 623397 623398 623399 623400 623401 623402 623403 623404 623405 623406 623407 623408 623409 623410 623411 623412 623413 623414 623415 623416 623417 623418 623419 623420 623421 623422
  Show dependency treegraph
 
Reported: 2010-08-11 12:36 EDT by Nils Philippsen
Modified: 2015-02-18 08:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:27:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Enhanced version of pythondeps.sh which detects the version of Python with which .py[co] files were built and adds the needed "python(abi) = ..." dependency (1.47 KB, application/x-shellscript)
2010-08-11 12:36 EDT, Nils Philippsen
no flags Details

  None (edit)
Description Nils Philippsen 2010-08-11 12:36:59 EDT
Created attachment 438224 [details]
Enhanced version of pythondeps.sh which detects the version of Python with which .py[co] files were built and adds the needed "python(abi) = ..." dependency

Description of problem:
Recently, all packages requiring "python(abi) = 2.6" were rebuilt for Python 2.7. Unfortunately, this left out all packages that don't have files in the Python standard module paths. As bug #621726 shows, python modules not in the standard paths will let the new python version attempt to rebuild them which fails due to SELinux policy, if run as root and policy is enforced (which is the right thing to do). If not run as root, startup time of the affected programs might be longer than necessary because python can't simply use the pre-built .py[co] files. In my opinion, the affected packages should simply have the "python(abi) = ..." dependency as well (since the shipped pre-built .py[co] files depend on it). I'll attach a version of /usr/lib/pythondeps.sh which generates such a dependency if .py[co] files are in a package.

Version-Release number of selected component (if applicable):
rpm-0:4.8.1-5.fc15.x86_64
rpm-build-0:4.8.1-5.fc15.x86_64

How reproducible:
Reproducible.

Steps to Reproduce:
A.1.) Install an affected version of e.g. system-config-firewall (1.2.25-1.fc14 from http://koji.fedoraproject.org/koji/buildinfo?buildID=168786 will do)
A.2.) Run it.

B) rpm -q --provides system-config-firewall | grep 'python(abi)'

  
Actual results:
A) SELinux alerts, as described in bug #621726
B) nothing

Expected results:
A) No SELinux alerts.
B) "python(abi) = ..."
Comment 1 Nils Philippsen 2010-08-12 05:52:45 EDT
To really work with Python 2.7, this needs file to be patched to recognize byte-compiled files generated by Python 2.7. See bug #623602.
Comment 2 Orcan Ogetbil 2010-08-12 23:13:02 EDT
But I don't think that is sufficient, as far as I can tell, 
   /usr/lib/rpm/pythondeps.sh 
does not use file to determine python(abi) type dependencies. Or is this caught by some other script?
Comment 3 Panu Matilainen 2010-08-13 01:20:32 EDT
The internal dependency generator which eventually calls pythondeps.sh and the like does uses libmagic (ie file) to figure file types, so fixing file does help.
Comment 4 Fedora End Of Life 2012-08-16 12:51:32 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jan Zeleny 2012-08-17 02:36:34 EDT
(In reply to comment #3)
> The internal dependency generator which eventually calls pythondeps.sh and
> the like does uses libmagic (ie file) to figure file types, so fixing file
> does help.

Could you provide more information? The issue in file has been fixed however you reopened the bug. Is this issue somewhere else then?
Comment 6 Panu Matilainen 2012-08-17 02:57:57 EDT
File getting fixed was a pre-requisite for fixing this on rpm-side. It's the rpm-side of things that still hasn't been fixed (as I had pretty much forgotten the whole thing).
Comment 7 Fedora End Of Life 2013-04-03 15:56:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 16:44:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-18 08:27:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.